/* You can add global styles to this file, and also import other style files */
//@import '@angular/material/prebuilt-themes/indigo-pink.css';

// Définition d'un theme personnalisé

//Step 1 - import des composant material
@use '@angular/material' as mat;
@include mat.core();

//Step 2 - Création de nos palettes
$candy-app-primary: mat.define-palette(mat.$indigo-palette);
$candy-app-accent: mat.define-palette(mat.$pink-palette, A200, A100, A400);
$candy-app-warn: mat.define-palette(mat.$red-palette);

//Step 3 - Définition de notre theme avec les palette créer précédement
$candy-app-theme: mat.define-light-theme($candy-app-primary, $candy-app-accent, $candy-app-warn);

//Step 4 - applicquer notre theme à tous les composants de notre application
@include mat.all-component-themes($candy-app-theme);


.dark-theme {
  $primary-dark: mat.define-palette(mat.$pink-palette, 700);
  $accent-dark: mat.define-palette(mat.$green-palette);
  $warn-dark: mat.define-palette(mat.$red-palette);

  $theme-dark: mat.define-dark-theme($primary-dark, $accent-dark, $warn-dark);

  @include mat.all-component-themes($theme-dark);
}

html, body { height: 100%; }
body { margin: 0; font-family: Roboto, "Helvetica Neue", sans-serif; }
